Skip to main content
GET
/
team-member-profiles
/
{team_id}
/
{user_id}
Get a team member profile
curl --request GET \
  --url https://api.stack-auth.com/api/v1/team-member-profiles/{team_id}/{user_id}
{
  "team_id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
  "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
  "display_name": "John Doe",
  "profile_image_url": "https://example.com/image.jpg"
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

team_id
string
required
user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

Response

200 - application/json

Successful response

team_id
string
required

The unique identifier of the team

Example:

"ad962777-8244-496a-b6a2-e0c6a449c79e"

user_id
string
required

The unique identifier of the user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

display_name
string

Human-readable team member display name. This is not a unique identifier. Note that this is separate from the display_name of the user.

Example:

"John Doe"

profile_image_url
string

URL of the profile image for team member. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.

Example:

"https://example.com/image.jpg"